ch.qos.logback.classic.turbo

## Class MarkerFilter

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.turbo.TurboFilter
    - - ch.qos.logback.classic.turbo.MatchingFilter
      - - ch.qos.logback.classic.turbo.MarkerFilter

All Implemented Interfaces:
  ContextAware, LifeCycle

    public class MarkerFilter
    extends MatchingFilter

Checks whether the marker in the event matches the marker specified by the user.

### Field Summary

### Fields inherited from class ch.qos.logback.classic.turbo.MatchingFilter

`onMatch, onMismatch`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`MarkerFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FilterReply` `decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)` Make a decision based on the multiple parameters passed as arguments.
`void` `setMarker(String markerStr)` The marker to match in the event.
`void` `start()`

### Methods inherited from class ch.qos.logback.classic.turbo.MatchingFilter

`setOnMatch, setOnMismatch`

### Methods inherited from class ch.qos.logback.classic.turbo.TurboFilter

`getName, isStarted, setName, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkerFilter

    public MarkerFilter()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `TurboFilter`

#### decide

    public FilterReply decide(org.slf4j.Marker marker,
                              Logger logger,
                              Level level,
                              String format,
                              Object[] params,
                              Throwable t)

Description copied from class: `TurboFilter`
Make a decision based on the multiple parameters passed as arguments. The returned value should be one of ``FilterReply.DENY``, ``FilterReply.NEUTRAL``, or ``FilterReply.ACCEPT``.

Specified by:
  `decide` in class `TurboFilter`
Returns:

#### setMarker

    public void setMarker(String markerStr)

The marker to match in the event.

Parameters:
  `markerStr` -